<section *ngIf="menu.notification">
  <header>
    <h6>Notifications</h6>
    Organizer: <strong>{{date | moment:'DD.MM.YYYY'}}</strong>
    <hr />
  </header>

  <main>
    <ul *ngIf="tasks.length; else noTasks">
      <li class="task"
        *ngFor="let task of tasks; let i = index">
        <span>
          <strong>{{ i + 1 }} {{ task.head }}</strong>
          {{ task.title }} in {{ task.deadline }}
        </span>
        <div class="btns">
          <button class="btn btn-edit"
            (click)="edit(task)">Edit</button>
          <!-- <button class="btn btn-primary"
            (click)="remove('notification', task.date, task.id)">Remove</button> -->
        </div>
      </li>
    </ul>

    <ng-template #noTasks>
      <p class="text-center">No Tasks yet...</p>
    </ng-template>
  </main>

  <footer>
    <form (ngSubmit)="submit(formNotification, 'notification')"
      [formGroup]="formNotification">

      <label for="title">title</label>
      <input id="title"
        type="text"
        formControlName="title">

      <label for="deadline">deadline</label>
      <input id="deadline"
        type="date"
        formControlName="deadline">

      <form [formGroup]="formTag">
        <label for="head">head</label>
        <input id="head"
          type="text"
          formControlName="head">
      </form>


      <div class="btns">
        <button (click)="saveNotification()"
          class="btn btn-primary btn-block"
          [disabled]="formNotification.invalid"
          *ngIf="!isEdit">Add</button>
        <button type="button"
          (click)="saveNotification()"
          class="btn btn-primary btn-block"
          [disabled]="formNotification.invalid"
          *ngIf="isEdit">Save</button>
      </div>
    </form>
  </footer>
</section>


<section *ngIf="menu.tag">
  <header>
    <h6>Tags</h6>
    Organizer: <strong>{{date | moment:'DD.MM.YYYY'}}</strong>
    <hr />
  </header>

  <main>
    <ul *ngIf="tasks.length; else noTasks">
      <li class="task"
        *ngFor="let task of tasks; let i = index">
        <span>
          <strong>{{i+1}}</strong>
          {{task.head}}
        </span>

        <div class="btns">
          <button class="btn btn-edit"
            (click)="edit(task)">Edit</button>
          <!-- <button class="btn btn-primary"
            (click)="remove('tag', task.date, task.id)">Remove</button> -->
        </div>
      </li>
    </ul>

    <ng-template #noTasks>
      <p class="text-center">No Tasks yet...</p>
    </ng-template>
  </main>

  <footer>
    <form (ngSubmit)="submit(formTag, 'tag')"
      [formGroup]="formTag">
      <label for="head">head</label>
      <input type="text"
        formControlName="head">

      <div class="btns">
        <button type="submit"
          class="btn btn-primary btn-block"
          [disabled]="formTag.invalid"
          *ngIf="!isEdit"
          (click)="saveTag()">Add</button>
        <button type="button"
          (click)="save('tag', formTag)"
          class="btn btn-primary btn-block"
          [disabled]="formTag.invalid"
          *ngIf="isEdit">Save</button>
      </div>
    </form>
  </footer>
</section>